Import dashboard
curl --request POST \
--url https://{instance}.omniapp.co/api/unstable/documents/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard": {},
"document": {},
"workbookModel": {},
"exportVersion": "0.1",
"identifier": "<string>",
"folderPath": "<string>",
"fileUploads": [
{
"fileUploadId": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"data": "<string>"
}
]
}
'import requests
url = "https://{instance}.omniapp.co/api/unstable/documents/import"
payload = {
"baseModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard": {},
"document": {},
"workbookModel": {},
"exportVersion": "0.1",
"identifier": "<string>",
"folderPath": "<string>",
"fileUploads": [
{
"fileUploadId": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"data": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
baseModelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dashboard: {},
document: {},
workbookModel: {},
exportVersion: '0.1',
identifier: '<string>',
folderPath: '<string>',
fileUploads: [
{
fileUploadId: '<string>',
fileName: '<string>',
contentType: '<string>',
data: '<string>'
}
]
})
};
fetch('https://{instance}.omniapp.co/api/unstable/documents/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dashboard": {
"dashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"miniUuidMap": {},
"workbook": {}
}{
"error": "<response_code>",
"message": "<error_reason>"
}Content migration
Import dashboard
Import dashboard to Omni instance.
POST
/
unstable
/
documents
/
import
Import dashboard
Authorizations
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
Body
application/json
Target model ID
Dashboard configuration from export
Document metadata from export
Workbook model from export
Export format version (must be "0.1")
Available options:
0.1 Custom identifier for the imported dashboard
Destination folder path
Spreadsheet file data to restore during import. Include the fileUploads array from the export response to restore spreadsheet tiles in the imported dashboard.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

